clear
clc
 
% Transfer function
num=[4];
den=[2, 1];
H = tf(num, den)
 
% Bode Plot
figure(1)
bode(H)
grid on
 
% Margins and Phases for given Frequencies
 
% Alt 1: Use bode function directly
disp('----- Alternative 1 -----')
w = [0.1, 0.16, 0.25, 0.4, 0.625, 2.5, 10];

[magw, phasew] = bode(H, w);
 
for i=1:length(w)
  mag(i) = magw(1,1,i);
  phase(i) = phasew(1,1,i);
end
 
magdB = 20*log10(mag); %convert to dB
mag_data = [w; magdB]
phase_data = [w; phase]
